#include<bits/stdc++.h>
using namespace std;
int main(){
	long long n;
	string s;
	cin>>n;
	cin>>s;
	long long a[n];
	for(int i=0;i<n;i++)a[i]=s[i]-'A';
	long long b[26];
	for(int i=0;i<26;i++)b[i]=0;
	long long cons=pow(10,9)+7;
	for(int i=0;i<n;i++){
		if(a[i]==0){
			b[0]++;
			b[0]%=cons;
		}
		else{
			b[a[i]]=b[a[i]]+b[a[i]-1];
			b[a[i]]%=cons;
		}
	}
	cout<<b[25];
}